class ExtendContent {
  // 租户号
  String? extId;

  // 扩展对象类型;message消息表 bannar轮播图 info资讯
  String? targetType;

  // 拓展对象Id
  String? targetId;

  // 内容类型;text文本 image图片
  String? contentType;

  // 内容
  String? content;

  // 排序
  int? sort;

  // 创建时间
  String? createDate;

  ExtendContent();

  ExtendContent.fromJson(Map<String, dynamic> json)
      : extId = json["extId"],
        targetType = json["targetType"],
        targetId = json["targetId"],
        contentType = json["contentType"],
        content = json["content"],
        sort = json["sort"],
        createDate = json["createDate"];

  Map<String, dynamic> toJson() => {
        'extId': extId,
        'targetType': targetType,
        'targetId': targetId,
        'contentType': contentType,
        'content': content,
        'sort': sort,
        'createDate': createDate,
      };
}
