class LogModel {
  int? logId;
  String? payId;
  String? accountId;
  int? feeType;
  String? chargeType;
  int? money;
  String? orderId;
  String? remarks;
  String? createDate;

  LogModel();

  LogModel.fromJson(Map<String, dynamic> json)
      : logId = json['logId'],
        payId = json['payId'],
        accountId = json['accountId'],
        feeType = json['feeType'],
        chargeType = json['chargeType'],
        money = json['money'],
        orderId = json['orderId'],
        remarks = json['remarks'],
        createDate = json['createDate'];

  Map<String, dynamic> toJson() => {
        'logId': logId,
        'payId': payId,
        'accountId': accountId,
        'feeType': feeType,
        'chargeType': chargeType,
        'money': money,
        'orderId': orderId,
        'remarks': remarks,
        'createDate': createDate,
      };
}
