import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';

class headers extends StatelessWidget {
  const headers({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Image.asset(
          'images/index/position.png',
          width: 14.w,
          height: 14.w,
        ),
        Padding(
          padding: EdgeInsets.fromLTRB(4.5.w, 0, 5.w, 0),
          child: Text(
            '邓州市',
            style: TextStyle(
              color: const Color(0xff202020),
              fontSize: 16.sp,
              fontWeight: FontWeight.bold,
            ),
          ),
        ),
        const Icon(Icons.arrow_drop_down),
        Expanded(
            flex: 1,
            child: Container(
              margin: EdgeInsets.fromLTRB(15.w, 0, 0, 0),
              padding: EdgeInsets.symmetric(vertical: 0, horizontal: 15.w),
              height: 34.h,
              decoration: const BoxDecoration(
                color: Color(0x30cccccc),
                borderRadius: BorderRadius.all(Radius.circular(25)),
              ),
              child: GestureDetector(
                onTap: () {
                  Get.offNamed('/order');
                },
                child: Row(
                  children: [
                    Container(
                      margin: EdgeInsets.fromLTRB(0, 0, 3.w, 0),
                      child: Image.asset(
                        'images/index/search.png',
                        width: 15.w,
                        height: 15.w,
                      ),
                    ),
                    Text(
                      '请输入关键字查询订单',
                      style: TextStyle(
                          color: const Color(0xFFB6B6B6), fontSize: 14.sp),
                    ),
                  ],
                ),
              ),
            )),
      ],
    );
  }
}
