import 'package:dio/dio.dart';
import '../utils/Request.dart';
import 'package:fluttertoast/fluttertoast.dart';

/// 添加银行卡
/// @param {*} data
/// @returns
Future setAmap(params) async {
  return request(
    '/amap',
    options: Options(method: 'POST'),
    queryParameters: params,
  ).catchError(
      (error) => {Fluttertoast.showToast(msg: error.error.toString())});
}
