import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class MyTitle extends StatelessWidget {
  final String title;

  const MyTitle({Key? key, required this.title}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.fromLTRB(0, 30.w, 0, 5.w),
      decoration: BoxDecoration(
        border: Border(
          left: BorderSide(width: 4.w, color: const Color(0xff000000)),
        ),
      ),
      child: Padding(
        padding: EdgeInsets.only(left: 11.5.w),
        child: Text(
          title,
          style: TextStyle(
            color: const Color(0xff333333),
            fontWeight: FontWeight.bold,
            fontSize: 17.sp,
          ),
        ),
      ),
    );
  }
}
