import 'dart:ui';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import 'bottomBar/item.dart';

final BarList = <BarItem>[
  BarItem(
    label: '首页',
    page: '/',
    normal: Item(
        color: const Color(0xFF323232),
        fontSize: 15.sp,
        image: 'images/index/index.png'),
    selected: Item(
        color: const Color(0xFF06B03B),
        fontSize: 15.sp,
        image: 'images/index/indexActive.png'),
  ),
  BarItem(
    label: '订单列表',
    page: '/order',
    normal: Item(
        color: const Color(0xFF323232),
        fontSize: 15.sp,
        image: 'images/index/job.png'),
    selected: Item(
        color: const Color(0xFF06B03B),
        fontSize: 15.sp,
        image: 'images/index/jobActive.png'),
  ),
  BarItem(
    label: '个人中心',
    page: '/main',
    normal: Item(
        color: const Color(0xFF323232),
        fontSize: 15.sp,
        image: 'images/index/user.png'),
    selected: Item(
        color: const Color(0xFF06B03B),
        fontSize: 15.sp,
        image: 'images/index/userActive.png'),
  ),
];
